﻿using System;
using System.Drawing;
using Telerik.WinControls.UI;

namespace RadScrollablePanelExample
{
    public partial class Form1 : RadForm
    {
        public Form1()
        {
            this.InitializeComponent();

            this.radScrollablePanel1.VerticalScrollbar.Size = new Size(0, 0);
            //this.radRepeatButtonScrollUp.Enabled = false;
        }

        private void radRepeatButtonScrollUp_Click(object sender, EventArgs e)
        {
            this.radScrollablePanel1.VerticalScrollbar.PerformSmallDecrement(1);

            if (this.radScrollablePanel1.VerticalScrollbar.Value == this.radScrollablePanel1.VerticalScrollbar.Minimum)
            {
                this.radRepeatButtonScrollUp.Enabled = false;
            }

            if (!(this.radRepeatButtonScrollDown.Enabled))
            {
                this.radRepeatButtonScrollDown.Enabled = true;
            }
        }

        private void radRepeatButtonScrollDown_Click(object sender, EventArgs e)
        {
            this.radScrollablePanel1.VerticalScrollbar.PerformSmallIncrement(1);

            if (this.radScrollablePanel1.VerticalScrollbar.Value + this.radScrollablePanel1.VerticalScrollbar.LargeChange > 
                this.radScrollablePanel1.VerticalScrollbar.Maximum)
            {
                this.radRepeatButtonScrollDown.Enabled = false;
            }

            if (!(this.radRepeatButtonScrollUp.Enabled))
            {
                this.radRepeatButtonScrollUp.Enabled = true;
            }
        }
    }
}
